Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Class AdaptiveReceiveBufferSizePredictorFactory

    java.lang.Object
      org.jboss.netty.channel.AdaptiveReceiveBufferSizePredictorFactory

All Implemented Interfaces:
  ReceiveBufferSizePredictorFactory

    public class AdaptiveReceiveBufferSizePredictorFactory

extends Object
implements ReceiveBufferSizePredictorFactory

The `ReceiveBufferSizePredictorFactory` that creates a new `AdaptiveReceiveBufferSizePredictor`.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Constructor Summary
`AdaptiveReceiveBufferSizePredictorFactory()` Creates a new factory with the default parameters.
`AdaptiveReceiveBufferSizePredictorFactory(int minimum, int initial, int maximum)` Creates a new factory with the specified parameters.

Method Summary
`ReceiveBufferSizePredictor` | `getPredictor()` Returns a newly created `ReceiveBufferSizePredictor`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaptiveReceiveBufferSizePredictorFactory

    public AdaptiveReceiveBufferSizePredictorFactory()

  Creates a new factory with the default parameters. With the default parameters, the expected buffer size starts from `1024`, does not go down below `64`, and does not go up above `65536`.

### AdaptiveReceiveBufferSizePredictorFactory

    public AdaptiveReceiveBufferSizePredictorFactory(int minimum,
                                                     int initial,
                                                     int maximum)

  Creates a new factory with the specified parameters.

  Parameters:
    `minimum` - the inclusive lower bound of the expected buffer size
    `initial` - the initial buffer size when no feed back was received
    `maximum` - the inclusive upper bound of the expected buffer size

Method Detail

### getPredictor

    public ReceiveBufferSizePredictor getPredictor()
                                            throws Exception

  Description copied from interface: `ReceiveBufferSizePredictorFactory`
  Returns a newly created `ReceiveBufferSizePredictor`.

  Specified by:
    `getPredictor` in interface `ReceiveBufferSizePredictorFactory`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.